
Redmine - Defect #10284

Note added by commit from a subproject does not contain project identifier

2012-02-20 18:02 - david warburton

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.3.2   

Resolution: Fixed Affected version: 1.3.0

Description

When a commit in a subproject references an issue in the parent, a comment from Anonymous is added to the issue that says:

"Applied in changeset commit:90812738092374"

There should also be a project identifier in the comment, so the reference hyperlinks correctly: "Applied in changeset

subproject-identifier:commit:90812738092374"

This behavior was observed on Redmine 1.3.0.stable.8692.  The parent project has no repository and the child is associated to a

mercurial repository.  In the global Redmine configuration section "Repositories > Referencing and fixing issues in commit

messages" the setting "Applied Status" is set to "Resolved" and "% Done" is set to "100 %".

Other version information:

$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.6.2

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

$ mysql --version

mysql  Ver 14.14 Distrib 5.1.41, for debian-linux-gnu (i486) using readline 6.1

$ hg --version

Mercurial Distributed SCM (version 2.1)

Associated revisions

Revision 8917 - 2012-02-20 22:58 - Jean-Philippe Lang

Fixed magic link in the note added when closing an issue by a commit from a subproject (#10284).

History

#1 - 2012-02-20 22:59 - Jean-Philippe Lang

- Subject changed from automatic commit referencing from subprojects to Note added by commit from a subproject does not contain project identifier

- Category set to SCM

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.2

- Resolution set to Fixed

Fixed in r8917.

2025-07-12 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/8917


#2 - 2012-03-05 14:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
